routes/web.php
<?php

use App\Invoice;
use App\Payment;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
/* Front-End Routes */
Route::get('/', function () {
    return view('welcome');
})->name('/');


Route::get('/signup', function () {
    return view('signup');
})->name('signup')->middleware('guest');

Route::resource('/user', 'UsersController');


Route::get('/login', function () {
    return view('login');
})->name('login');

Route::get('/pricing', function () {
    return view('pricing');
})->name('pricing');

Route::get('/account', function () {

    $invoices=Invoice::where('user_id',auth()->user()->id)->get()->all();
    $totalInvoices=count($invoices);
    $userPlanEndsOn=Payment::select('payment_end_date')->where('user_id',auth()->user()->id)->get()->all();
    $userPlanEndsOn=$userPlanEndsOn[0]->payment_end_date;
    return view('account',compact('totalInvoices','userPlanEndsOn'));
})->name('account');

Route::get('/about-us', function () {
    return view('about-us');
})->name('about-us');

Route::resource('/invoice','InvoiceController');

Route::get('pdf/{id}','InvoiceController@GeneratePdf')->name('pdf');

Route::post('search','InvoiceController@InvoiceSearch')->name('search');

Route::get('paystack-callback-url','UsersController@paystackCallBack');




/* Admin Routes */

Route::group(['prefix' => 'admin'], function () {
    Voyager::routes();
});




Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

resources/views/layouts/app.blade.php
<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'ShoppersBill') }}</title>

    <!-- Scripts -->
    <script src="{{ asset('js/app.js') }}" defer></script>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet" type="text/css">

    <!-- Styles -->
    <link href="{{ asset('css/app.css') }}" rel="stylesheet">
</head>
<body>
    <div id="app">
        <nav class="navbar navbar-expand-md navbar-light navbar-laravel">
            <div class="container">
                <a class="navbar-brand" href="{{ url('/') }}">
                    {{ config('app.name', 'Laravel') }}
                </a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="{{ __('Toggle navigation') }}">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <!-- Left Side Of Navbar -->
                    <ul class="navbar-nav mr-auto">

                    </ul>

                    <!-- Right Side Of Navbar -->
                    <ul class="navbar-nav ml-auto">
                        <!-- Authentication Links -->
                        @guest
                            <li class="nav-item">
                                <a class="nav-link" href="{{ route('login') }}">{{ __('Login') }}</a>
                            </li>
                            @if (Route::has('register'))
                                <li class="nav-item">
                                    <a class="nav-link" href="{{ route('user.create') }}">{{ __('Register') }}</a>
                                </li>
                            @endif
                        @else
                            <li class="nav-item dropdown">
                                <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                    {{ Auth::user()->name }} <span class="caret"></span>
                                </a>

                                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                                    <a class="dropdown-item" href="{{ route('logout') }}"
                                       onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                        {{ __('Logout') }}
                                    </a>

                                    <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                        @csrf
                                    </form>
                                </div>
                            </li>
                        @endguest
                    </ul>
                </div>
            </div>
        </nav>

        <main class="py-4">
            @yield('content')
        </main>
    </div>
</body>
</html>

resources/views/layouts/master.blade.php
<!doctype html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7" lang=""> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8" lang=""> <![endif]-->
<!--[if IE 8]>         <html class="no-js lt-ie9" lang=""> <![endif]-->
<!--[if gt IE 8]><!-->
<html class="no-js" lang="en">
<!--<![endif]-->

<head>
    <!--====== USEFULL META ======-->

    <meta name="_token" content="{{ csrf_token() }}">

    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="ShoppersBill" />
    <meta name="keywords" content="Online Invoicing and Reciept Platform" />

    <!--====== TITLE TAG ======-->
    <title>ShoppersBills</title>

    <!--====== FAVICON ICON =======-->
    <link rel="shortcut icon" type="image/ico" href="" />

    <!--====== STYLESHEETS ======-->
    <link rel="stylesheet" href="{!! asset('css/normalize.css') !!}">
    <link rel="stylesheet" href="{!! asset('css/animate.css') !!}">
    <link rel="stylesheet" href="{!! asset('css/modal-video.min.css') !!}">
    <link rel="stylesheet" href="{!! asset('css/stellarnav.min.css') !!}">
    <link rel="stylesheet" href="{!! asset('css/owl.carousel.css') !!}">
    <link rel="stylesheet" href="{!! asset('css/slick.css') !!}">
    <link href="{!! asset('css/bootstrap.min.css') !!}" rel="stylesheet">
    <link href="{!! asset('css/font-awesome.min.css') !!}" rel="stylesheet">
    <link href="{!! asset('css/material-icons.css') !!}" rel="stylesheet">
    
    <link href="{{asset('css/jquery.signaturepad.css')}}" rel="stylesheet">
    
    <!--====== MAIN STYLESHEETS ======-->
    <link href="{!! asset('css/style.css') !!}" rel="stylesheet">
    <link href="{!! asset('css/responsive.css') !!}" rel="stylesheet">
    @yield('style')
    <script src="{!! asset('js/vendor/modernizr-2.8.3.min.js') !!}"></script>
    <!--[if lt IE 9]>
    <script src="//oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
    <script src="//oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    <script async src="//pagead2.googlesyndication.com/pagead/js/adsbygoogle.js"></script>
<style>    
@media only screen and (max-width: 600px) {
 #signup {
            width: 100%;
            margin: 60px auto;
            padding:10px;
            background: white;
            text-align: center;
            -webkit-box-shadow: 2px 2px 3px rgba(0,0,0,0.1);
            box-shadow: 2px 2px 3px rgba(0,0,0,0.1);
        }
}
</style>
</head>

<body class="home-one" data-spy="scroll" data-target=".mainmenu-area" data-offset="90">




<!--[if lt IE 8]>
<p class="browserupgrade">You are using an <strong>outdated</strong> browser. Please <a href="http://browsehappy.com/">upgrade your browser</a> to improve your experience.</p>
<![endif]-->

<!--- PRELOADER -->
<div class="preeloader">
    <div class="preloader-spinner"></div>
</div>

<!--SCROLL TO TOP-->
<a href="#home" class="scrolltotop"><i class="fa fa-long-arrow-up"></i></a>

<!--START TOP AREA-->
<header class="{{Request::route()->getName()=='/' ? "top-area" : ""}} {{Request::route()->getName()=='about-us' ? "top-area" : ""}}" id="home">
    <div class="header-top-area">
        <!--MAINMENU AREA-->
        <div class="mainmenu-area" id="mainmenu-area">
            <div class="mainmenu-area-bg"></div>
            <nav class="navbar">
                <div class="container-fluid">
                    <div class="navbar-header">
                        <a href="{{route('/')}}" class="navbar-brand"><img src="{{ asset('img/logo.png') }}" alt="logo"></a>
                    </div>
                    <div id="main-nav" class="stellarnav">
                        <div class="search-and-signup-button white pull-right hidden-md hidden-sm hidden-xs">
                            <button data-toggle="collapse" data-target="#search-form-switcher"><i class="fa fa-search"></i></button>
                            @if(!auth()->check())
                            <a href="{{route('signup')}}" class="sign-up">SignUp</a>
                            @endif
                        </div>
                        <ul id="nav" class="nav">
                            <li class="active"><a href="{{route('/')}}">home</a>
                            </li>
                            <li><a href="{{route('invoice.create')}}">Create Invoice</a></li>
                            <li><a href="#">Search</a></li>
                            <li><a href="{{route('pricing')}}">Pricing</a></li>
                            <li><a href="{{route('about-us')}}">About us</a></li>
                            @if(!auth()->check())
                            <li><a href="{{route('login')}}">Login</a></li>
                            @else
                            <li><a href="{{route('account')}}">My Account</a></li>
                            @endif
                        </ul>
                    </div>
                </div>
            </nav>
            <div id="search-form-switcher" class="search-collapse-area collapse white">
                <div class="container">
                    <div class="row">
                        <div class="col-md-12 col-xs-12">
                            <div class="white">
                                <form action="#" class="search-form">
                                    <input type="search" name="search" id="search" placeholder="Search Here..">
                                    <button type="submit"><i class="fa fa-search"></i></button>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!--END MAINMENU AREA END-->
    </div>
    @yield('headerbox')

</header>
<!--END TOP AREA-->



@yield ('content')

<!--FOOER AREA-->
<div class="footer-area white">
    <div class="footer-top-area blue-bg padding-100-50">
        <div class="container">
            <div class="row">
                <div class="col-sm-12 col-xs-12">
                    <div class="subscriber-form-area" style="visibility: visible;">
                        <div class="footer-bottom-area blue-bg">
                            <div class="container">
                                <div class="row">
                                    <div class="col-md-12 col-lg-12 col-sm-12 col-xs-12">
                                        <div class="footer-social-bookmark text-center wow fadeIn">
                                            <div class="footer-logo mb50">
                                                <a href="#"><img src="img/logo.png" alt=""></a>
                                            </div>
                                            <ul class="social-bookmark" style="visibility: visible;">
                                                <li><a class="facebook" href="#"><i class="fa fa-facebook"></i></a></li>
                                                <li><a class="twitter" href="#"><i class="fa fa-twitter"></i></a></li>
                                                <li><a class="linkedin" href="#"><i class="fa fa-linkedin"></i></a></li>
                                                <li><a class="pinterest" href="#"><i class="fa fa-pinterest"></i></a></li>
                                                <li><a class="google-plus" href="#"><i class="fa fa-google-plus"></i></a></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12 col-lg-12 col-sm-12 col-xs-12">
                                        <div class="footer-copyright text-center wow fadeIn">
                                            <p><!-- Link back to Colorlib can't be removed. Template is licensed under CC BY 3.0. -->
                                                Copyright &copy;<script>document.write(new Date().getFullYear());</script> All rights reserved | Designs with <i class="fa fa-heart-o" aria-hidden="true"></i> by <a href="https://Shoppersbill.com" target="_blank">ShoppersBill</a> <a href="http://www.shoppersbill.com/terms.html"> --Terms and Condition-- </a><a href="http://www.shoppersbill.com/policy.html"> --Privacy Policy-- </a> </a><a href="http://www.shoppersbill.com/contactus.html"> --Contact us-- </a>
                                                <!-- Link back to Colorlib can't be removed. Template is licensed under CC BY 3.0. --></p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!--FOOER AREA END-->


                    <!--====== SCRIPTS JS ======-->
                    <script src="{!! asset('js/vendor/jquery-1.12.4.min.js') !!}"></script>
                    <script src="{!! asset('js/vendor/bootstrap.min.js') !!}"></script>

                    <!--====== PLUGINS JS ======-->
                    <script src="{!! asset('js/vendor/jquery.easing.1.3.js') !!}"></script>
                    <script src="{!! asset('js/vendor/jquery-migrate-1.2.1.min.js') !!}"></script>
                    <script src="{!! asset('js/vendor/jquery.appear.js') !!}"></script>
                    <script src="{!! asset('js/owl.carousel.min.js') !!}"></script>
                    <script src="{!! asset('js/slick.min.js') !!}"></script>
                    <script src="{!! asset('js/stellar.js') !!}"></script>
                    <script src="{!! asset('js/wow.min.js') !!}"></script>
                    <script src="{!! asset('js/jquery-modal-video.min.js') !!}"></script>
                    <script src="{!! asset('js/stellarnav.min.js') !!}"></script>
                    <script src="{!! asset('js/contact-form.js') !!}"></script>
                    <script src="{!! asset('js/jquery.ajaxchimp.js') !!}"></script>
                    <script src="{!! asset('js/jquery.sticky.js') !!}"></script>	
                    

                    <!--===== ACTIVE JS=====-->
                    <script src="{!! asset('js/main.js') !!}"></script>

                    <!--Start of Tawk.to Script-->
                    <script type="text/javascript">
                        var Tawk_API=Tawk_API||{}, Tawk_LoadStart=new Date();
                        (function(){
                            var s1=document.createElement("script"),s0=document.getElementsByTagName("script")[0];
                            s1.async=true;
                            s1.src='https://embed.tawk.to/5bf0ad8b40105007f3787bd5/default';
                            s1.charset='UTF-8';
                            s1.setAttribute('crossorigin','*');
                            s0.parentNode.insertBefore(s1,s0);
                        })();
                    </script>
                    <!--End of Tawk.to Script-->
                    @yield('script')

</body>

</html>